%define pkg_name        Petal-Mail
%define pkg_version     0.31
%define rpm_pkg_version 0.31
%define rpm_pkg_release 1.n0i.1

Summary:       Format text e-mail using Petal
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Petal/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Petal)      >= 1.06
Requires:      perl(Petal)      >= 1.06
BuildRequires: perl(MKDoc::XML) >= 0.61
Requires:      perl(MKDoc::XML) >= 0.61
BuildRequires: perl(Encode)     >= 1.75
Requires:      perl(Encode)     >= 1.75


%description
Petal::Mail processes a Petal XML template, and then turns the resulting XML
into a text email which can be sent through sendmail or other.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Petal/fake_sendmail.pl
%doc Changes


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.31
